<form class="{{cssClass}}" autocomplete="off">

    {{!-- Sheet Header --}}
    <header class="sheet-header">
        <div class="header-fields">
            <h2 class="charname"><input name="name" type="text" value="{{actor.name}}" placeholder="Nombre"/></h2>
            <div class="sumario">
                <input type="text" name="data.base.raza" value="{{data.base.raza}}" data-dtype="Text" placeholder="Raza"/>
				<span> / </span>
				<input type="text" name="data.base.profesion" value="{{data.base.profesion}}" data-dtype="Text" placeholder="Profesión"/>
            </div>
        </div>
    </header>
	
	{{!-- Sheet Header --}}
	<table class="tabla-stats">
		<tr>
			<td>
				<table class="columna-tabla">
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.mov.value" value="{{data.stats.mov.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.mov.max" value="{{data.stats.mov.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
									
									<td>
										<img class="stat-img" src="systems/dun/icons/mov.png" title="MOV" height="46" width="46"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.cac.value" value="{{data.stats.cac.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.cac.max" value="{{data.stats.cac.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
									
									<td>
										<img class="stat-img" src="systems/dun/icons/cac.png" title="CAC" height="46" width="46"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.fue.value" value="{{data.stats.fue.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.fue.max" value="{{data.stats.fue.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
									
									<td>
										<img class="stat-img" src="systems/dun/icons/fue.png" title="FUE" height="46" width="46"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.dis.value" value="{{data.stats.dis.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.dis.max" value="{{data.stats.dis.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
									
									<td>
										<img class="stat-img" src="systems/dun/icons/dis.png" title="DIS" height="46" width="46"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.arm.value" value="{{data.stats.arm.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.arm.max" value="{{data.stats.arm.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
									
									<td>
										<img class="stat-img" src="systems/dun/icons/arm.png" title="ARM" height="46" width="46"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
			
			<td>
				<img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}" height="100" width="100"/>
			</td>
			
			<td>
				<table class="columna-tabla">
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<img class="stat-img" src="systems/dun/icons/agi.png" title="AGI" height="46" width="46"/>
									</td>
									
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.agi.value" value="{{data.stats.agi.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.agi.max" value="{{data.stats.agi.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<img class="stat-img" src="systems/dun/icons/int.png" title="INT" height="46" width="46"/>
									</td>
									
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.int.value" value="{{data.stats.int.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.int.max" value="{{data.stats.int.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<img class="stat-img" src="systems/dun/icons/man.png" title="MAN" height="46" width="46"/>
									</td>
									
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.man.value" value="{{data.stats.man.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.man.max" value="{{data.stats.man.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<img class="stat-img" src="systems/dun/icons/val.png" title="VAL" height="46" width="46"/>
									</td>
									
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.val.value" value="{{data.stats.val.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.val.max" value="{{data.stats.val.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					
					<tr>
						<td>
							<table class="box-stats">
								<tr>
									<td>
										<img class="stat-img" src="systems/dun/icons/vit.png" title="VIT" height="46" width="46"/>
									</td>
									
									<td>
										<table class="casillas-stats">
											<tr>
												<td>
													<h4 class="act-max">Act</h4>
												</td>
												
												<td>
													<h4 class="act-max">Max</h4>
												</td>
											</tr>
											
											<tr>
												<td>
													<input type="text" name="data.stats.vit.value" value="{{data.stats.vit.value}}" data-dtype="Number"/>
												</td>
												
												<td>
													<input type="text" name="data.stats.vit.max" value="{{data.stats.vit.max}}" data-dtype="Number"/>
												</td>
											</tr>
											
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>

    {{!-- Sheet Tab Navigation --}}
    <nav class="sheet-tabs tabs" data-group="primary">
        <a class="item" data-tab="description">Description</a>
        <a class="item" data-tab="items">Items</a>
        <a class="item" data-tab="attributes">Attributes</a>
    </nav>

    {{!-- Sheet Body --}}
    <section class="sheet-body">

        {{!-- Biography Tab --}}
        <div class="tab biography active" data-group="primary" data-tab="description">
            {{editor content=data.biography target="data.biography" button=true owner=owner editable=editable}}
        </div>

        {{!-- Owned Items Tab --}}
        <div class="tab items" data-group="primary" data-tab="items">
            <ol class="items-list">
            {{#each actor.items as |item id|}}
                <li class="item flexrow" data-item-id="{{item._id}}">
                    <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/>
                    <h4 class="item-name">{{item.name}}</h4>
                    <div class="item-controls">
                        <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                        <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                    </div>
                </li>
            {{/each}}
            </ol>
        </div>

        {{!-- Attributes Tab --}}
        <div class="tab attributes" data-group="primary" data-tab="attributes">
            <header class="attributes-header flexrow">
                <span class="attribute-key">Attribute Key</span>
                <span class="attribute-value">Value</span>
                <span class="attribute-label">Label</span>
                <span class="attribute-dtype">Data Type</span>
                <a class="attribute-control" data-action="create"><i class="fas fa-plus"></i></a>
            </header>

            <ol class="attributes-list">
            {{#each data.attributes as |attr key|}}
                <li class="attribute flexrow" data-attribute="{{key}}">
                    <input class="attribute-key" type="text" name="data.attributes.{{key}}.key" value="{{key}}"/>
                    {{#if attr.isCheckbox}}
                    <label class="attribute-value checkbox"><input type="checkbox" name="data.attributes.{{key}}.value" {{checked attr.value}}/></label>
                    {{else}}
                    <input class="attribute-value" type="text" name="data.attributes.{{key}}.value" value="{{attr.value}}" data-dtype="{{attr.dtype}}"/>
                    {{/if}}
                    <input class="attribute-label" type="text" name="data.attributes.{{key}}.label" value="{{attr.label}}"/>
                    <select class="attribute-dtype" name="data.attributes.{{key}}.dtype">
                        {{#select attr.dtype}}
                        {{#each ../dtypes as |t|}}
                        <option value="{{t}}">{{t}}</option>
                        {{/each}}
                        {{/select}}
                    </select>
                    <a class="attribute-control" data-action="delete"><i class="fas fa-trash"></i></a>
                </li>
            {{/each}}
            </ol>
        </div>
    </section>
</form>

